{% extends 'base_backend.html.twig' %}
{% block title %}
    <title>AutoplusAdmin - Annonces</title>
{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('backassets/css/jquery.gritter.min.css') }}" />
    <link rel="stylesheet" href="{{ asset('backassets/css/colorbox.min.css') }}" />
{% endblock %}

{% block ANactive %}class="active"{% endblock %}
{% block subA %} style="display:block;" {% endblock %}
{% block Aproactive %} class="active" {% endblock %}
{% block breadcumb %}
    <li>Gestion Annonces</li>
    <li class="active">Annonces Particulieres</li>
{% endblock %}
{% block body %}
    <div class="row">
        <div class="col-xs-12" id="tableauannonce">
            <table id="dynamic-table" class="table table-striped table-bordered table-hover">
                <thead>
                <tr>
                    <th class="hidden-480">Id</th>
                    <th>Titre</th>
                    <th>Prix</th>
                    <th class="hidden-480">Images</th>
                    <th><i class="ace-icon fa fa-clock-o bigger-110 hidden-480"></i>Date Publication</th>
                    <th class="hidden-480">Condition</th>
                    <th class="hidden-480">
                        <i class="ace-icon fa fa-home bigger-110 hidden-480"></i>
                        Adresse
                    </th>
                    <th>Etat</th>
                    <th class="hidden-480">Proprietaire</th>
                    <th class="hidden-480">Actions</th>
                </tr>
                </thead>
                <tbody>
                {% for a in applications %}
                    {% if a is not empty %}
                    <tr>
                        <td class="hidden-480">{{ a.id }}</td>
                        <td>{{ a.title }}</td>
                        <td>{{ a.price }} DTN </td>
                        <td class="hidden-480">
                            {% if a.photos is empty %}
                                <h5 class="red" > pas d'images </h5>
                            {% else  %}
                                <a href="#" class="blue" onclick="displayPhotos(event,{{ a.id }})"> Visualiser </a>
                            {% endif %}
                        </td>
                        <td>{{ a.createdAt|date("d/m/Y") }}</td>
                        <td class="hidden-480">{{ a.state == 1 ? "Nouveau" : "Occasion"}}</td>
                        <td class="hidden-480">{{ a.user.address.city }} ,{{ a.user.address.street }}</td>
                        <td>
                            {% if a.isPublic == 0 %}
                                <span class="label label-danger arrowed">Non confirmée</span>
                            {% else %}
                                <span class="label label-success arrowed">Confirmée</span>
                            {% endif %}
                        </td>
                        <td class="hidden-480">{{ a.user.username }}</td>
                        <td class="hidden-480">
                            <div class="hidden-sm hidden-xs action-buttons">
                                {% if a.isPublic == 1 %}
                                    <a class="green" href="#">
                                        <i class="ace-icon fa fa-eye bigger-130" onclick="turnOff(event,{{ a.id }})"></i>
                                    </a>
                                {% else %}
                                    <a class="grey" href="#">
                                        <i class="ace-icon fa fa-eye-slash bigger-130" onclick="turnOn(event,{{ a.id }})"></i>
                                    </a>
                                {% endif %}
                                <a class="blue" href="#" onclick="verifyapplication({{ a.id }},event)">
                                    <i class="ace-icon fa fa-pencil bigger-130"></i>
                                </a>

                                <a class="red" href="#" onclick="deleteApplication(event,{{ a.id }})">
                                    <i class="ace-icon fa fa-trash-o bigger-130"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                {% endif %}
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    <div id="modal-form" class="modal fade" >
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="blue bigger">Verifier l'Annonce</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <ul class="list-group" id="listedonnes">
                        </ul>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-sm btn-primary" data-dismiss="modal">
                        <i class="ace-icon fa fa-times"></i>
                        Fermer
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div id="modal-play" class="modal">
        <div class="modal-dialog">
            <div class="modal-content">
                <div id="modal-wizard-container">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="blue bigger">Photos de l'Annonce</h4>
                    </div>

                    <div class="modal-body">
                        <div id="contenuimages">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-sm" data-dismiss="modal">
                        <i class="ace-icon fa fa-times"></i>
                        Annuler
                    </button>

                    <button class="btn btn-sm btn-danger" onclick="validateAppPhotos()">
                        <i class="ace-icon fa fa-trash-o"></i>
                        Supprimer
                    </button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block javascript %}
    <script src="{{ asset('backassets/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('backassets/js/jquery.dataTables.bootstrap.min.js') }}"></script>
    <script src="{{ asset('backassets/js/spin.js') }}"></script>
    <script src="{{ asset('backassets/js/jquery.gritter.min.js') }}"></script>
    <script src="{{ asset('backassets/js/jquery.colorbox.min.js') }}"></script>
    <script src="{{ asset('backassets/js/bootbox.js') }}"></script>

    <script>
        function displayPhotos(e, id) {
            e.preventDefault();
            $.ajax({
                url: "{{ path('application_photos') }}",
                type: 'POST',
                data: {id: id},
                dataType: 'html',
                success: function (response) {
                    $("#contenuimages").html(response);
                    var $overflow = '';
                    var colorbox_params = {
                        rel: 'colorbox',
                        reposition: !0,
                        scalePhotos: !0,
                        scrolling: !1,
                        previous: '<i class="ace-icon fa fa-arrow-left"></i>',
                        next: '<i class="ace-icon fa fa-arrow-right"></i>',
                        close: '&times;',
                        current: '{current} of {total}',
                        maxWidth: '100%',
                        maxHeight: '100%',
                        onOpen: function () {
                            $overflow = document.body.style.overflow;
                            document.body.style.overflow = 'hidden'
                        },
                        onClosed: function () {
                            document.body.style.overflow = $overflow
                        },
                        onComplete: function () {
                            $.colorbox.resize()
                        }
                    };
                    $('.ace-thumbnails [data-rel="colorbox"]').colorbox(colorbox_params);
                    $("#cboxLoadingGraphic").html("<i class='ace-icon fa fa-spinner orange fa-spin'></i>");
                    $("#modal-play").modal("show")
                }
            })
        }
        function verifyapplication(id, e) {
            e.preventDefault();
            $.ajax({
                url: "{{ path('application_verifying') }}",
                type: 'POST',
                data: {app_id: id},
                success: function (response) {
                    $("#listedonnes").html(response);
                    $("#modal-form").modal('show')
                },
                error: function () {
                    $.gritter.add({title: 'Erreur !', text: 'erreur de chargement', class_name: 'gritter-error'})
                }
            })
        }
        function killimage(e, id) {
            e.preventDefault();
            $("#" + id).hide()
        }
        $('#dynamic-table').DataTable({
            "bLengthChange": !1,
            "iDisplayLength": 10,
            "aoColumnDefs": [{"bSortable": !1, aTargets: [0, 1, 3, 6, 8, 9]}],
            "oLanguage": {"sSearch": "<span>Rechercher</span> _INPUT_", "sInfo": "_TOTAL_ annonce(s)"}
        });{#function modifannonce(){#}
        function turnOn(e, id) {
            e.preventDefault();
            var url = "{{ path('application_public') }}";
            $.ajax({
                url: url, method: "POST", data: {id: id}, dataType: "text", success: function () {
                    $('#dynamic-table').DataTable().destroy();
                    $('#tableauannonce').html('<div style="text-align: center;"><h1><i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i></h1></div>');
                    setTimeout(function () {
                        $('#tableauannonce').load("{{ path('application_pro_index') }} #tableauannonce")
                    }, 2000);
                    setTimeout(function () {
                        $('#dynamic-table').DataTable({
                            "bLengthChange": !1,
                            "iDisplayLength": 10,
                            "aoColumnDefs": [{"bSortable": !1, aTargets: [0, 1, 3, 6, 8, 9]}],
                            "oLanguage": {"sSearch": "<span>Rechercher</span> _INPUT_", "sInfo": "_TOTAL_ annonce(s)"}
                        })
                    }, 5000);
                    setTimeout(function () {
                        $.gritter.add({
                            title: 'Annonce Activée!',
                            text: "Votre activation est validé",
                            class_name: 'gritter-success'
                        })
                    }, 6000)
                }, error: function () {
                    $('#spinner').html('');
                    $.gritter.add({
                        title: 'Erreur!',
                        text: "Votre activation n'est pas validé",
                        class_name: 'gritter-error'
                    })
                }
            })
        }
        function turnOff(e, id) {
            e.preventDefault();
            var url = "{{ path('application_hide') }}";
            $.ajax({
                url: url, method: "POST", data: {id: id}, dataType: "text", success: function () {
                    $('#dynamic-table').DataTable().destroy();
                    $('#tableauannonce').html('<div style="text-align: center;"><h1><i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i></h1></div>');
                    setTimeout(function () {
                        $('#tableauannonce').load("{{ path('application_pro_index') }} #tableauannonce")
                    }, 2000);
                    setTimeout(function () {
                        $('#dynamic-table').DataTable({
                            "bLengthChange": !1,
                            "iDisplayLength": 10,
                            "aoColumnDefs": [{"bSortable": !1, aTargets: [0, 1, 3, 6, 8, 9]}],
                            "oLanguage": {"sSearch": "<span>Rechercher</span> _INPUT_", "sInfo": "_TOTAL_ annonce(s)"}
                        })
                    }, 5000);
                    setTimeout(function () {
                        $.gritter.add({
                            title: 'Annonce Bloquée!',
                            text: "Votre bloquage est validé",
                            class_name: 'gritter-success'
                        })
                    }, 6000)
                }, error: function () {
                    $('#spinner').html('');
                    $.gritter.add({
                        title: 'Erreur!',
                        text: "Votre bloquage n'est pas validé",
                        class_name: 'gritter-error'
                    })
                }
            })
        }


        function deleteApplication(e,id) {
            bootbox.dialog({
                message: "<span class='bigger-110'>Etes vous sûr de vouloir supprimer cette annonce ?",
                buttons: {
                    "danger": {
                        "label": "Supprimer!", "className": "btn-sm btn-danger", "callback": function () {
                            $('#spinner').html('<i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i>');
                            $.ajax({
                                url: "{{ path('application_delete') }}",
                                type: 'POST',
                                data: {id: id},
                                success: function () {
                                    $('#spinner').html("");
                                    $.gritter.add({
                                        title: 'Utislisateur Supprimé ! ',
                                        text: 'Votre suppression est validé',
                                        class_name: 'gritter-success'
                                    })
                                },
                                error: function () {
                                    $('#spinner').html("");
                                    $.gritter.add({
                                        title: 'Echec de Suppression !',
                                        text: "Votre Suppression n'est pas aboutie",
                                        class_name: 'gritter-error'
                                    })
                                }
                            });
                            $('#tableauannonce').load("{{ path('application_pro_index') }} #simple-table")
                        }
                    }, "button": {"label": "Annuler", "className": "btn-sm"}
                }
            })

        }
        function validateAppPhotos() {
            $("#modal-play").modal("hide");
            var ids = [];
            var i=0;
            var app_id = $('.ace-thumbnails').attr("id");

            console.log(app_id);

            $('.ace-thumbnails li').each(function () {
                if($(this).css('display') == 'none') {
                    console.log($(this).attr("id").substring(8))
                    ids.push($(this).attr("id").substring(8));
                }

            });


            console.log(ids);



            $.ajax({
                url: "{{ path('application_validatePhotos') }}",
                type: 'POST',
                data: {ids: ids, app_id: app_id},
                success: function (media) {
                    console.log(media)

                    $('#dynamic-table').DataTable().destroy();
                    $('#tableauannonce').html('<div style="text-align: center;"><h1><i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i></h1></div>');
                    setTimeout(function () {
                        $('#tableauannonce').load("{{ path('application_pro_index') }} #tableauannonce")
                    }, 2000);
                    setTimeout(function () {
                        $('#dynamic-table').DataTable({
                            "bLengthChange": !1,
                            "iDisplayLength": 10,
                            "aoColumnDefs": [{"bSortable": !1, aTargets: [0, 1, 3, 6, 8, 9]}],
                            "oLanguage": {"sSearch": "<span>Rechercher</span> _INPUT_", "sInfo": "_TOTAL_ annonce(s)"}
                        })
                    }, 5000);
                    setTimeout(function () {
                        $.gritter.add({
                            title: 'Images Validées !',
                            text: 'Votre modification est validé',
                            class_name: 'gritter-success'
                        })
                    }, 6000)
                },
                error: function () {
                    $.gritter.add({
                        title: 'Erreur !',
                        text: 'Votre modification n\'as pas aboutie',
                        class_name: 'gritter-error'
                    })
                }
            })
        }
    </script>
{% endblock %}